/**
 * Detect events regarding the app
 */
define(function () {

	const _extensionsAppLaunchTriggeredListeners = [];

	function _init() {
		overwolf.extensions.onAppLaunchTriggered.removeListener(_onAppLaunchTriggered);
		overwolf.extensions.onAppLaunchTriggered.addListener(_onAppLaunchTriggered);
	}

	/**
	 * A game info was updated (running state, or other state changed such as
	 * resolution changed)
	 * @param event
	 * @private
	 */
	function _onAppLaunchTriggered(event) {
		if (event) {
			for (let listener of _extensionsAppLaunchTriggeredListeners) {
				listener(true);
			}
		}
	}

	function addAppLaunchTriggeredListener(callback) {
		_extensionsAppLaunchTriggeredListeners.push(callback);
	}

	_init();

	return {
		addAppLaunchTriggeredListener
	}
});